<?php

namespace OCA\TestApp\Controller;

use OCA\TestApp\Manager\Manager;
use OCP\AppFramework\Controller;
use OCP\AppFramework\Http\DataResponse;
use OCP\IRequest;

class ApiController extends Controller {

	/** @var Manager */
	private $manager;

	public function __construct($appName,
								IRequest $request,
								Manager $manager) {
		parent::__construct($appName, $request);
		$this->manager = $manager;
	}

	/**
	 * Add user to group.
	 *
	 * @NoAdminRequired
	 * @NoCSRFRequired
	 *
	 * @return DataResponse
	 */
	public function getTest() {
		return new DataResponse($this->manager->getTest());
	}

}
